// here we should have includes for all used types
// from all packages.
#include "DeployTypes.hpp"

Component* deploy(int argc, char **argv);
bool isSerializeEnabled();
void serialize(char **buf, size_t *len);
void deserialize(const char *buf, size_t len);

namespace staticallocated{

    // data param for Comp__ROOT./
    

    AtomIPort__priorities_xin_xatom__Port iport__ROOT__a__p("p");

    AtomIPort__priorities_xin_xatom__Port iport__ROOT__a__q("q");

    // static init for Atom: Comp__ROOT__a
    

    AT__priorities_xin_xatom__MyAtom Comp__ROOT__a(
     "a"
     , iport__ROOT__a__p, iport__ROOT__a__q
     
     
     
     
    );


    // static init for Compound: Comp__ROOT

    CT__priorities_xin_xatom__Model Comp__ROOT(
      "ROOT"
     , Comp__ROOT__a
     
     
     
     
     
     
    );


// End of namespace.
};
